summaryrefslogtreecommitdiffstats
path: root/initscript/lfs/avahi.in
diff options
context:
space:
mode:
Diffstat (limited to 'initscript/lfs/avahi.in')
-rw-r--r--initscript/lfs/avahi.in49
1 files changed, 49 insertions, 0 deletions
diff --git a/initscript/lfs/avahi.in b/initscript/lfs/avahi.in
new file mode 100644
index 0000000..ba3672a
--- /dev/null
+++ b/initscript/lfs/avahi.in
@@ -0,0 +1,49 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/avahi
+#
+# Description : Avahi daemon loader
+#
+# Authors : William Immendorf - will.immendorf@gmail.com
+#
+# Version : 00.00
+#
+# Notes : Based off of the LFS 6.4 sysklogd script.
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "${1}" in
+ start)
+ boot_mesg "Starting the Avahi daemon..."
+ loadproc avahi-daemon -D
+ ;;
+
+ stop)
+ boot_mesg "Stopping the Avahi daemon..."
+ avahi-daemon -k
+ evaluate_retval
+ ;;
+
+ reload)
+ boot_mesg "Reloading the Avahi daemon..."
+ reloadproc avahi-daemon -r
+ ;;
+ restart)
+ ${0} stop
+ sleep 1
+ ${0} start
+ ;;
+
+ status)
+ statusproc avahi-daemon
+ ;;
+ *)
+ echo "Usage: ${0} {start|stop|reload|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/avahi